package com.ruoyi.newwxpay.transfer;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

import java.util.function.UnaryOperator;


public class TransferSceneReportInfo {

    public String getInfoType() {
        return infoType;
    }

    public void setInfoType(String infoType) {
        this.infoType = infoType;
    }

    public String getInfoContent() {
        return infoContent;
    }

    public void setInfoContent(String infoContent) {
        this.infoContent = infoContent;
    }

    /**
     * 不能超过15个字符，商户所属转账场景下的信息类型，此字段内容为固定值，需严格按照转账场景报备信息字段说明传参。
     */
    @SerializedName("info_type")
    private String infoType;


    /**
     * 【信息内容】 不能超过32个字符，商户所属转账场景下的信息内容，商户可按实际业务场景自定义传参，需严格按照转账场景报备信息字段说明传参。
     */

    @SerializedName("info_content")
    private String infoContent;


    public TransferSceneReportInfo cloneWithCipher(UnaryOperator<String> s) {
        TransferSceneReportInfo copy = new TransferSceneReportInfo();
        copy.infoType = this.infoType;
        copy.infoContent = this.infoContent;


        return copy;
    }

}
